WhatsNext:AddConditionalStatement("Minimum Astral Power",{
	category="DRUID",
	text = "player has at least {amount} Astral Power.",
	test = function(checkTable)
		return UnitPower("player",8) >= tonumber(checkTable.amount) 
	end,
	arguments = {
		amount = {label = "Astral Power", type = "integer", default = 50, min = 0, max = 200},
	}
})

WhatsNext:AddConditionalStatement("Form",{
	category="DRUID",
	text = "player's active form is {form}.",
	test = function(checkTable)
		return WhatsNext:GetSpellName(checkTable.form) == (GetShapeshiftForm() and GetShapeshiftForm() > 0 and select(2,GetShapeshiftFormInfo(GetShapeshiftForm())) or 0)
	end,
	arguments = {
		form = {label = "Form", type = "spell", default = 1066, suggestionList={WhatsNext:GetSpellName(24858),WhatsNext:GetSpellName(1066),WhatsNext:GetSpellName(5487),WhatsNext:GetSpellName(768)}},
	}
})

WhatsNext:AddConditionalStatement("Combo Points (Druid)",{
	category = "DRUID",
	text = "player has at least {amount} combo points on {unit}.",
	test = function(checkTable) 
		return GetComboPoints("player",tostring(checkTable.unit)) >= tonumber(checkTable.amount)
	end,
	arguments = {
		unit = {label = "Unit", type = "unit", default = "target", possibleValues = WhatsNext.valueLists.unitAny},
		amount = {label = "Combo Points", type = "integer", default = 50, min = 0, max = 6},
	}
})